import request from '@/utils/request'
/**
 * @param parameter
 * @returns {*}
 */
// 登录
export function login(parameter) {
  return request({
    url: '/api/login',
    method: 'post',
    data: parameter
  })
}

// 获取个人信息
export function userProfile(parameter) {
  return request({
    url: '/api/user/profile',
    method: 'get',
    data: parameter
  })
}

// 刷新token
export function refreshToken(parameter) {
  return request({
    url: '/api/refresh_token',
    method: 'get',
    data: parameter
  })
}

// 上传
export function getFileToken(parameter) {
  return request({
    url: '/api/upload',
    method: 'post',
    data: parameter,
    timeout: 100000, // 请求超时时间
    headers: {
      'Content-Type': 'multipart-formData'
    },
  })
}
